## org.apache.fop.pdf
Class PDFCIDFont

    java.lang.Object
      |
      +--org.apache.fop.pdf.PDFObject
            |
            +--org.apache.fop.pdf.PDFCIDFont

public class PDFCIDFont
extends PDFObject

class representing a "character identifier" font (p 210 and onwards).

Field Summary
`protected java.lang.String` `basefont`
`static byte` `CID_TYPE0`
`static byte` `CID_TYPE2`
`protected PDFStream` `cidMap` /CIDToGIDMap (only for CIDFontType2, see p 212) can be either "Identity" (default) or a PDFStream
`protected java.lang.String` `cidtype`
`protected PDFCIDFontDescriptor` `descriptor`
`protected java.lang.Integer` `dw`
`protected int[]` `dw2`
`protected PDFCIDSystemInfo` `systemInfo`
`protected static java.lang.String[]` `TYPE_NAMES`
`protected PDFWArray` `w`
`protected PDFWArray` `w2`

Fields inherited from class org.apache.fop.pdf.PDFObject
`generation, number`

Constructor Summary
`PDFCIDFont(int number, java.lang.String basefont, java.lang.String cidtype, int dw, int[] w, java.lang.String registry, java.lang.String ordering, int supplement, PDFCIDFontDescriptor descriptor)` create the /Font object
`PDFCIDFont(int number, java.lang.String basefont, java.lang.String cidtype, int dw, PDFWArray w, PDFCIDSystemInfo systemInfo, PDFCIDFontDescriptor descriptor)` create the /Font object

Method Summary
`void` `setCIDMap(PDFStream map)` set the /CIDToGIDMap (to be used only for CIDFontType2)
`void` `setCIDMapIdentity()` set the /CIDToGIDMap (to be used only for CIDFontType2) to "Identity"
`void` `setDW(int dw)` set the /DW attribute
`void` `setDW2(int[] dw2)` set the (two elements) /DW2 array
`void` `setDW2(int posY, int displacementY)` set the two elements of the /DW2 array
`void` `setW(PDFWArray w)` set the /W array
`void` `setW2(PDFWArray w2)` set the /W2 array
`byte[]` `toPDF()` produce the PDF representation for the object
`java.lang.String` `toPDFString()`

Methods inherited from class org.apache.fop.pdf.PDFObject
`getNumber, output, referencePDF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CID_TYPE0

    public static final byte CID_TYPE0

### CID_TYPE2

    public static final byte CID_TYPE2

### TYPE_NAMES

    protected static final java.lang.String[] TYPE_NAMES

### basefont

    protected java.lang.String basefont

### cidtype

    protected java.lang.String cidtype

### dw

    protected java.lang.Integer dw

### w

    protected PDFWArray w

### dw2

    protected int[] dw2

### w2

    protected PDFWArray w2

### systemInfo

    protected PDFCIDSystemInfo systemInfo

### descriptor

    protected PDFCIDFontDescriptor descriptor

### cidMap

    protected PDFStream cidMap

  /CIDToGIDMap (only for CIDFontType2, see p 212) can be either "Identity" (default) or a PDFStream

Constructor Detail

### PDFCIDFont

    public PDFCIDFont(int number,
                      java.lang.String basefont,
                      java.lang.String cidtype,
                      int dw,
                      int[] w,
                      java.lang.String registry,
                      java.lang.String ordering,
                      int supplement,
                      PDFCIDFontDescriptor descriptor)

  create the /Font object

### PDFCIDFont

    public PDFCIDFont(int number,
                      java.lang.String basefont,
                      java.lang.String cidtype,
                      int dw,
                      PDFWArray w,
                      PDFCIDSystemInfo systemInfo,
                      PDFCIDFontDescriptor descriptor)

  create the /Font object

Method Detail

### setDW

    public void setDW(int dw)

  set the /DW attribute

### setW

    public void setW(PDFWArray w)

  set the /W array

### setDW2

    public void setDW2(int[] dw2)

  set the (two elements) /DW2 array

### setDW2

    public void setDW2(int posY,
                       int displacementY)

  set the two elements of the /DW2 array

### setW2

    public void setW2(PDFWArray w2)

  set the /W2 array

### setCIDMap

    public void setCIDMap(PDFStream map)

  set the /CIDToGIDMap (to be used only for CIDFontType2)

### setCIDMapIdentity

    public void setCIDMapIdentity()

  set the /CIDToGIDMap (to be used only for CIDFontType2) to "Identity"

### toPDF

    public byte[] toPDF()

  produce the PDF representation for the object
  Returns:
    the PDF

### toPDFString

    public java.lang.String toPDFString()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.